http = require "luajit-curl-helper.http"

describe "routes", ->
  it "loads miti.sh", ->
    request = http.init "http://miti.sh:8080"
    st = request\perform!

    error request\lastError! if not st

    status_code = request\statusCode!
    status_message = request\statusMessage!

    assert.same status_code, 200
    assert.same status_message, "OK"

  it "redirects webdevcat.me to miti.sh", ->
    request = http.init "http://webdevcat.me:8080"
    st = request\perform!

    error request\lastError! if not st

    status_code = request\statusCode!
    status_message = request\statusMessage!
    header = request\header!

    assert.same status_code, 301
    assert.same status_message, "Moved Permanently"
    assert.same header.Location, "http://miti.sh:8080/"

    -- body = request\body!
    -- print "body", body
